#ifndef PRM_BASIS_HH
#define PRM_BASIS_HH

#include <iostream>

namespace PRM {
  class BasisState {
  public:
    int N;
    int l;
    int j2;
    int omega2;
    
    BasisState(int iN, int iL, int iJ2, int iOmega2);
    bool operator==(const BasisState &b2) const;
    void Print(std::ostream &out);
  };
}

#endif
